Not succeeding to recognize Danalock smart lock in the zwave network

Hello,
I’m trying to add Danalock v3 smartlock to my zwave network. I’m able to add the device, but it’s showing as unknown device.
Attributes show that manufactere is recognized : 010e:“poly control”
Looking at zwave db, it seems that danalock v3 IS part of db
In logs I see following errors:
2018-07-14 20:46:20.537 [ERROR] [st.core.internal.thing.ThingResource] - Exception during HTTP PUT request for update config at ‘things/zwave:device:b3149497:node15/config’
java.lang.NullPointerException: null
2018-07-14 20:50:32.748 [WARN ] [tocol.commandclass.ZWaveCommandClass] - NODE 15: Unsupported command class COMMAND_CLASS_SECURITY_2
2018-07-14 20:50:32.749 [WARN ] [tocol.commandclass.ZWaveCommandClass] - NODE 15: Unsupported command class COMMAND_CLASS_TRANSPORT_SERVICE
2018-07-14 20:51:35.891 [WARN ] [tocol.commandclass.ZWaveCommandClass] - NODE 15: Unsupported command class COMMAND_CLASS_SECURITY_2

Any help would be appreciated

You need to use the development/security version of the zwave binding

Thank you.
Sorry for nagging, but how do I “replace” my current version with the .jar file?
I’m using openhab on windows.

check the first posts in that thread. more specifically: OH2 Z-Wave refactoring and testing... and SECURITY

I have looked at the posts, however, it’s not clear to me, how to actually install the file.
I uninstalled the original zwave binding using paper ui, added the file to the addone folder, restarted openhab but I don’t see it as an option for install…Do I need to do something manually? looked at other posts, I don’t see exact instructions…

when using *.jar files in the addons folder, you don’t need to perform another step for installation.
You won’t be able to see the manually installed binding in the PaperUI list of Add-Ons.
You can check the status of the binding from the OH console:

bundle:list -s |grep zwave

if it’s status is not Active, try the following console command:

feature:install openhab-transport-serial

Thank you for your patience. when using cosnole, I see that the binding is installed, but I don’t see an active/not active status. in paper UI when trying to scan and re-add my things, there is no zwave option…
I did try
feature:install openhab-transport-serial
it made no change.
This is what I get on console:
openhab> bundle:list -s |grep zwave
286 | Installed | 80 | 2.4.0.201807032158 | org.openhab.binding.zwave

try

bundle:start 286

and check the output as well as the logs

Error executing command: Error executing command on bundles:
Error starting bundle 286: Could not resolve module: org.openhab.binding.zwave [286]
Unresolved requirement: Import-Package: javax.measure.quantity

You need to upgrade your OH core to 2.3 stable (or 2.4 snapshot)

Ref: OH2 Z-Wave refactoring and testing... and SECURITY

Upgrading the 2.3 made the difference.

Thank you very, very much!

Elad

1 Like